set -x EDITOR hx
set -x HGEDITOR hx

set -x RIPGREP_CONFIG_PATH $HOME/.config/ripgrep/ripgreprc
set -x BAT_CONFIG_PATH $HOME/.config/bat/config

set -x PS_FORMAT 'pid,pgid,state,start_time,%cpu,command'

set -x PATH $HOME/.local/bin $HOME/bin $PATH

if test -e "$HOME/bin/mise"
    $HOME/bin/mise activate fish | source

    # RTX is only fully loaded on fish prompt
    # use exec to find the global version and
    mise exec direnv -- direnv hook fish | source
else
    direnv hook fish | source
end

$HOME/.fzf/bin/fzf --fish | source

if status is-interactive
    # Commands to run in interactive sessions can go here

    # Select modified paths via fzf on alt+g
    bind \eg fzf_hg_status_files
    # Select output lines from last command
    bind \er fzf_last_command_output
    # Select revisions from the stack
    bind \ek fzf_hg_stack

    # Push current cmdline input to the stack
    bind \eq push-input

    # fg on ctrl-z
    bind \cz 'fg 2>/dev/null; commandline -f repaint'

    # FZF aliases
    alias cdh fzf_cdhist

    abbr hgst hg status
end
